Codex Help

Thank For choosing Codex 1.02

This help document contains information on:

  • Exporting a source file.

  • Batch Exporting of source files.

  • Printing.

  • Miscellaneous Application Information.

  • Other Freeware from us.

  • Contacting us.

Codex is a program designed to help in the publishing of source code, be it in print or webpage format. Codex can export source code to HTML or RTF format, for publication, with fully customized syntax highlighting and styling. It can export directly to an FTP or to your local drive. It has a batch export mode and supports over 30 languages and file types. Supported source types include:

C++ | Java | Object Pascal (Delphi) | VBscript | Visual Basic | SQL | Javascript | HTML
Perl | PHP | Cascading Style Sheets | Python | Fortran | AWK | Baan 4GL | DSP
Foxpro | Galaxy | 68HC11 and x86 Assembly | GEMBASE | Tcl/Tk | SML | HP48 | Kix script
Modelica | Modula 3 | Inno setup scripts | DOS batch files | Progress | ini files | CA Clipper | Cache format

License Agreement:

By using this software you take full responsibility for all loss, damage
or situation that may arise from it's use, and you also agree that The
Informail Team cannot be held responsible for any use or misuse of this
software.
This software is provided 'as-is' free of charge, with no warranty or
guarantee of any kind, expressed or implied.
This software can be distributed freely by any non-profit
organization. If any company or publisher wants to include this
software product (Codex) in/with any of it's products or
publications, they must first seek permission from The InFormail Team.
The copyrights of this software remain vested in The InFormail Team
which reserves the right to withhold or withdraw authorization of use
and/or distribution.

The InFormail Team
informail@eircom.net

Copyright The InFormail Team, ©2001


Codex Help

Exporting Single Files

To export a source file:

  1. Open the source file by clicking "Open" or drag and drop the file onto Codex.
  2. Choose the format you want to export to (at present only HTML and RTF are supported).
  3. As an option you can click on the color cube at the top right of the editing area, and define the colors of the various source attributes.
  4. Click on "Export", and choose a file name and click "Save".

Important: It is always a good idea to back up the source files before exporting them.

Batch Exporting

To export all the source files of a particular type in a directory:
  1. Click "Process Directory" to open the dialog.
  2. Choose the directory that contains the source files. (Tick the box to process sub directories)
  3. Choose the source language.
  4. Choose the export format.
  5. Click "Go"
  6. There may be a pause of several seconds while the directories are scanned for files, this delay depends on the number of source files contained in the directories and the complexity of the selected directory tree.
  7. When exporting to an FTP server you may have difficulty if you are behind a firewall. This will be remedied in a future release.
  8. Important: It is always a good idea to back up the source files before exporting them.

Customizing Syntax Colors

Clicking on the color cube at the top right of the editing area will open the syntax coloring panel. From here you can customize the color and font style of the various language attributes of your chosen language. All of the changes made here are reflected immediately in the open source file and will be applied when exporting source files.

Printing
  1. To choose the printer, click "Printer Setup". Your default printer will be used otherwise.
  2. You can do a print preview, with or with out color, the default is with color.
  3. The current printer name will appear as a hint on the print button.

Miscellaneous Information
  • Although Codex supports syntax highlighting for many languages, it not meant as a replacement for a dedicated IDE.
  • Codex is meant to make the publishing of source code easier, and to facilitate the sharing of source code.
  • Codex is still in the early stages of development, and as such many new features will be added to future releases. If you feel there are any useful and relevant that you would like to see included, please contact us and let us know.
  • The password you use for your FTP server is stored in the registry in encrypted format for security purposes. The algorithm used to encrypt and store the password in the registry can , very rarely, create a ciphered string that contains leading or trailing spaces, so when retrieving the encrypted password from the registry the spaces are ommited giving a wrong password. This poses absolutely no threat to other information in the registry. If this happens you can either change your password and see if that fixes it, or enter your password each time you connect.

Copyright The InFormail Team, ©2001